Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Format

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SystemObject

                        |

                        +--oracle.ifs.server.S_TieSystemObject

                              |

                              +--oracle.ifs.server.S_Format

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieFormat

public class S_Format
extends S_TieSystemObject

The S_Format class describes

Method Summary
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Operations to be preformed before creating an instance of S_Format.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Operations to be preformed before updating an instance of S_FolderRelationship.

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Operations to be preformed before creating an instance of S_Format.
  Overrides:
    `extendedPreInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Operations to be preformed before updating an instance of S_FolderRelationship. Update any system attributes appropriate for creating this object
  Overrides:
    `extendedPreUpdate` in class `S_LibraryObject`
  Parameters:
    `the` - operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD